// LED Button Blink Program
#include <avr/io.h>
#define F_CPU 1e6
#include <avr/delay.h>

#define TRUE 1
#define FALSE 0

int main()
{
    //SETUP
    //Button is on PA3
    //LED is PA7
    
    PORTA= _BV(PA3); //Turn button pullup resistor on
    DDRA = _BV(PA7); //Enable output on the LED pin
    PORTA = _BV(PA7); //Turns LED on
    
    //LOOP
    while (TRUE)
    {
        if ((PINA & _BV(PA3))) //button is not pushed
        {
            PORTA = 0; //turn LED off
        }
        else
        {
            PORTA = _BV(PA7); //turn LED on
            _delay_ms(1000);
            PORTA = 0;
            _delay_ms(1000);
        }
    }
}
